---
Issue:
- id
- title
- assignee_id
- author_id
- project_id
- created_at
- updated_at
- position
- branch_name
- description
- state
- iid
- updated_by_id
- confidential
- deleted_at
- due_date
- moved_to_id
- lock_version
- milestone_id
- weight
- time_estimate
Event:
- id
- target_type
- target_id
- title
- data
- project_id
- created_at
- updated_at
- action
- author_id
Note:
- id
- note
- noteable_type
- author_id
- created_at
- updated_at
- project_id
- attachment
- line_code
- commit_id
- noteable_id
- system
- st_diff
- updated_by_id
- type
- position
- original_position
- resolved_at
- resolved_by_id
- discussion_id
- original_discussion_id
LabelLink:
- id
- label_id
- target_id
- target_type
- created_at
- updated_at
ProjectLabel:
- id
- title
- color
- group_id
- project_id
- type
- created_at
- updated_at
- template
- description
- priority
Milestone:
- id
- title
- project_id
- description
- due_date
- start_date
- created_at
- updated_at
- state
- iid
ProjectSnippet:
- id
- title
- content
- author_id
- project_id
- created_at
- updated_at
- file_name
- type
- visibility_level
Release:
- id
- tag
- description
- project_id
- created_at
- updated_at
ProjectMember:
- id
- access_level
- source_id
- source_type
- user_id
- notification_level
- type
- created_at
- updated_at
- created_by_id
- invite_email
- invite_token
- invite_accepted_at
- requested_at
- expires_at
- ldap
- override
User:
- id
- username
- email
MergeRequest:
- id
- target_branch
- source_branch
- source_project_id
- author_id
- assignee_id
- title
- created_at
- updated_at
- state
- merge_status
- target_project_id
- iid
- description
- position
- locked_at
- updated_by_id
- merge_error
- merge_params
- merge_when_pipeline_succeeds
- merge_user_id
- merge_commit_sha
- deleted_at
- in_progress_merge_commit_sha
- lock_version
- milestone_id
- approvals_before_merge
- rebase_commit_sha
- time_estimate
- squash
MergeRequestDiff:
- id
- state
- st_commits
- merge_request_id
- created_at
- updated_at
- base_commit_sha
- real_size
- head_commit_sha
- start_commit_sha
Ci::Pipeline:
- id
- project_id
- ref
- sha
- before_sha
- push_data
- created_at
- updated_at
- tag
- yaml_errors
- committed_at
- gl_project_id
- status
- started_at
- finished_at
- duration
- user_id
- lock_version
CommitStatus:
- id
- project_id
- status
- finished_at
- trace
- created_at
- updated_at
- started_at
- runner_id
- coverage
- commit_id
- commands
- job_id
- name
- deploy
- options
- allow_failure
- stage
- trigger_request_id
- stage_idx
- tag
- ref
- user_id
- type
- target_url
- description
- artifacts_file
- gl_project_id
- artifacts_metadata
- erased_by_id
- erased_at
- artifacts_expire_at
- environment
- artifacts_size
- when
- yaml_variables
- queued_at
- token
- lock_version
- coverage_regex
Ci::Variable:
- id
- project_id
- key
- value
- encrypted_value
- encrypted_value_salt
- encrypted_value_iv
- gl_project_id
Ci::Trigger:
- id
- token
- project_id
- deleted_at
- created_at
- updated_at
- gl_project_id
DeployKey:
- id
- user_id
- created_at
- updated_at
- key
- title
- type
- fingerprint
- public
- can_push
- last_used_at
Service:
- id
- type
- title
- project_id
- created_at
- updated_at
- active
- properties
- template
- push_events
- issues_events
- commit_events
- merge_requests_events
- tag_push_events
- note_events
- pipeline_events
- build_events
- category
- default
- wiki_page_events
- confidential_issues_events
ProjectHook:
- id
- url
- project_id
- created_at
- updated_at
- type
- service_id
- push_events
- issues_events
- merge_requests_events
- tag_push_events
- note_events
- pipeline_events
- enable_ssl_verification
- build_events
- wiki_page_events
- token
- group_id
- confidential_issues_events
ProtectedBranch:
- id
- project_id
- name
- created_at
- updated_at
Project:
- description
- issues_enabled
- merge_requests_enabled
- wiki_enabled
- snippets_enabled
- visibility_level
- archived
Author:
- name
ProjectFeature:
- id
- project_id
- merge_requests_access_level
- issues_access_level
- wiki_access_level
- snippets_access_level
- builds_access_level
- repository_access_level
- created_at
- updated_at
ProtectedBranch::MergeAccessLevel:
- id
- protected_branch_id
- access_level
- created_at
- updated_at
- user_id
- group_id
ProtectedBranch::PushAccessLevel:
- id
- protected_branch_id
- access_level
- created_at
- updated_at
- user_id
- group_id
AwardEmoji:
- id
- user_id
- name
- awardable_type
- created_at
- updated_at
LabelPriority:
- id
- project_id
- label_id
- priority
- created_at
- updated_at
Timelog:
- id
- time_spent
- merge_request_id
- issue_id
- user_id
- created_at
- updated_at
